import Vue from 'vue'
import VueRouter from 'vue-router'
import Layout from '@/components/Layout.vue'

Vue.use(VueRouter)

const routes = [
  { path: '*', redirect: '/list' },
  { path: '/', redirect: '/list' },
  {
    name: 'login',
    path: '/login',
    component: () => import('@/views/Login.vue')
  },
  {
    name: 'list',
    path: '/list',
    component: () => import('@/views/List.vue')
  },
  {
    path: '/item',
    component: Layout,
    children: [
      {
        name: 'item',
        path: '',
        component: () => import('@/views/Item.vue')
      }
    ]
  },
  {
    path: '/create',
    component: Layout,
    children: [
      {
        name: 'create',
        path: '',
        component: () => import('@/views/Create.vue')
      }
    ]
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
